@import url(variables.css);
#slider{
    width: 100%;
    height: 100vh;
    position: relative;
    left: 0;
    top: 0;
    z-index: 1;
    overflow: hidden;
}

.slider__imgsContainer{
    width: fit-content;
    height: 100%;
    display: flex;
    align-items: center;
    transition: transform 300ms ease-out;
}

.slider__img{
    width: 100vw;
    height: 100%;
    position: relative;
    object-position: center;
    object-fit: cover;
    background-position: right;
    background-size: cover;
}

.slider__button--prev{
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%) scaleX(0.6);
    font-family: "AvantGardeITC_book";
    z-index: 999;
    color: white;
    font-size: 100px;
    cursor: pointer;
    color: var(--main-color);
}


.slider__button--next{
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) scaleX(0.6);
    font-family: "AvantGardeITC_book";
    z-index: 999;
    color: white;
    font-size: 100px;
    cursor: pointer;
    color: var(--main-color);
}

.slider__pagination{
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 999;
    display: flex;
    z-index: 999;
    gap: 15px;
}

.slider__dot{
    color: white;
}

.smallCircle{
    color: var(--main-color);
    opacity: 0;
}

.slider__dot--active .smallCircle, .slider__dot:hover .smallCircle{
    opacity: 1;
}

.slider__dot--active{
    color: var(--main-color);
}


.slider__dot svg, .smallCircle{
    transition: 300ms;
    cursor: pointer;
}

.slider__info{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    max-width: 1000px;
    display: flex;
    flex-direction: column;
    padding: 20px;
    border-radius: 10px;
    gap: 20px;
}

.slider__h2{
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 100px;
    font-family: "All Round Gothic Demi";
    text-align: center;
}

.slider__p{
    color: white;
    text-align: center;
    font-size: 25px;
}

.slider__a{
    color: white;
    text-decoration: none;
    margin: 0 auto;
    width: fit-content;
    font-size: 25px;
    border: 2px solid white;
    padding: 10px 50px;
    border-radius: 20px;
    transition: border 300ms, color 300ms, background-color 300ms;
    margin-top: 20px;
}

.slider__a:hover{
    color: var(--main-color);
    border: 2px solid var(--main-color);
    background-color: rgba(0, 0, 0, 0.2);
}

.slider__img--1{
    background-image: url(../img/slider/bg_wuzo.jpg);
    background-position: 80% 0%;
}
.slider__img--2{
    background-image: url(../img/slider/bg_mobicard.jpg);
    background-position: 60% 0%;
}
.slider__img--3{
    background-image: url(../img/slider/claimy.jpg);
    background-position: 75% 0%;
}
.slider__img--4{
    background-image: url(../img/slider/emiles_1.jpg);
    background-position: 65% 0%;
}


@media only screen and (max-width: 768px) {
    .slider__h2{
        font-size: 80px;
    }

    .slider__button--next{
        right: 5px;
    }

    .slider__button--prev{
        left: 5px;
    }

    .slider__info{
        width: 80%;
        min-width: fit-content;
    }
}

@media only screen and (max-width: 480px) {
    .slider__h2{
        font-size: 60px;
    }

    .slider__button--next{
        font-size: 60px;
        right: 2px;
    }
    
    .slider__button--prev{
        font-size: 60px;
        left: 2px;
    }
    
    .slider__info{
        font-size: 60px;
        width: 100%;
    }
    
    .slider__p{
        font-size: 20px;
    }

    .slider__a{
        font-size: 20px;
        padding: 10px 30px;
    }
}